Package com.collibra.catalog.api.component.classification.dto

# Class ConnectDataCategoriesWithDataClassRequest

Object
ConnectDataCategoriesWithDataClassRequest

All Implemented Interfaces:
  `Serializable`

public class ConnectDataCategoriesWithDataClassRequest extends Object implements Serializable
Criteria for connecting data categories and data class.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ConnectDataCategoriesWithDataClassRequest.ConnectDataCategoriesWithDataClassRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectDataCategoriesWithDataClassRequest()`
  `ConnectDataCategoriesWithDataClassRequest(List<UUID> dataCategoryIds, UUID dataClassId)`
  Creates a new `ConnectDataCategoriesWithDataClassRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConnectDataCategoriesWithDataClassRequest.ConnectDataCategoriesWithDataClassRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getDataCategoryIds()`
  The list of data category ids to be connected to the data class.
  `UUID`
  `getDataClassId()`
  The id of the data class to be connected to the data categories.
  `int`
  `hashCode()`
  `void`
  `setDataCategoryIds(List<UUID> dataCategoryIds)`
  The list of data category ids to be connected to the data class.
  `void`
  `setDataClassId(UUID dataClassId)`
  The id of the data class to be connected to the data categories.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConnectDataCategoriesWithDataClassRequest

    public ConnectDataCategoriesWithDataClassRequest(List<UUID> dataCategoryIds, UUID dataClassId)
    Creates a new `ConnectDataCategoriesWithDataClassRequest` instance.
    Parameters:
      `dataCategoryIds` - The list of data category ids to be connected to the data class.
      `dataClassId` - The id of the data class to be connected to the data categories.

  - ### ConnectDataCategoriesWithDataClassRequest

    public ConnectDataCategoriesWithDataClassRequest()

- ## Method Details

  - ### builder

    public static ConnectDataCategoriesWithDataClassRequest.ConnectDataCategoriesWithDataClassRequestBuilder builder()

  - ### getDataCategoryIds

    public List<UUID> getDataCategoryIds()
    The list of data category ids to be connected to the data class.

  - ### getDataClassId

    public UUID getDataClassId()
    The id of the data class to be connected to the data categories.

  - ### setDataCategoryIds

    public void setDataCategoryIds(List<UUID> dataCategoryIds)
    The list of data category ids to be connected to the data class.

  - ### setDataClassId

    public void setDataClassId(UUID dataClassId)
    The id of the data class to be connected to the data categories.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`